activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Strachan" <james.strac...@gmail.com>
Subject Re: Invalid version: 2, could not load org.apache.activemq.openwire.v2.MarshallerFactory
Date Tue, 07 Nov 2006 16:52:52 GMT
BTW you might wanna try use a more recent version of 4.1

On 11/7/06, James Strachan <james.strachan@gmail.com> wrote:
> Sounds like you have a mismatch of versions on your classpaths with
> the broker you are connecting to?
>
> On 11/7/06, sateesh <sk_acura@yahoo.com> wrote:
> >
> > Hi All,
> >
> >   I am trying to connect to ActiveMQ4.1 ( I took the SNAPSHOT Version
> > apache-activemq-4.1-incubator-20060831.071006-20.zip) and when i try to
> > connet to it from Mule i am getting the following Error:
> >
> >  INFO: Starting Connector: org.mule.providers.jms.JmsConnector
> > Exception in thread "ActiveMQ Transport: tcp://localhost/127.0.0.1:61616"
> > java.lang.IllegalArgumentException: Invalid version: 2, could not load
> > org.apache.activemq.openwire.v2.MarshallerFactory
> >         at
> > org.apache.activemq.openwire.OpenWireFormat.setVersion(OpenWireFormat.java:329)
> >         at
> > org.apache.activemq.openwire.OpenWireFormat.renegociatWireFormat(OpenWireFormat.java:569)
> >         at
> > org.apache.activemq.transport.WireFormatNegotiator.onCommand(WireFormatNegotiator.java:100)
> >         at
> > org.apache.activemq.transport.InactivityMonitor.onCommand(InactivityMonitor.java:122)
> >         at
> > org.apache.activemq.transport.TransportSupport.doConsume(TransportSupport.java:87)
> >         at
> > org.apache.activemq.transport.tcp.TcpTransport.run(TcpTransport.java:143)
> >         at java.lang.Thread.run(Thread.java:619)
> > Caused by: java.lang.ClassNotFoundException:
> > org.apache.activemq.openwire.v2.MarshallerFactory
> >         at org.apache.activemq.util.ClassLoading.loadClass(ClassLoading.java:104)
> >         at
> > org.apache.activemq.openwire.OpenWireFormat.setVersion(OpenWireFormat.java:327)
> >         ... 6 more
> >
> >   I have left the default settings as is.
> >
> > How can i resolve this one..
> >
> > Thanks
> > sateesh
> > --
> > View this message in context: http://www.nabble.com/Invalid-version%3A-2%2C-could-not-load-org.apache.activemq.openwire.v2.MarshallerFactory-tf2589891.html#a7221879
> > Sent from the ActiveMQ - User mailing list archive at Nabble.com.
> >
> >
>
>
> --
>
> James
> -------
> http://radio.weblogs.com/0112098/
>


-- 

James
-------
http://radio.weblogs.com/0112098/

Mime
View raw message